
From: Peter Osterlund <petero2@telia.com>

OK, the problem is that the touchpad needs a lot of time to wake up
after a reset command. As we found out in private conversation, 3
seconds is barely enough, so I suggest the following patch to fix the
problem:



 drivers/input/mouse/psmouse-base.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/input/mouse/psmouse-base.c~synaptics-reset-fix drivers/input/mouse/psmouse-base.c
--- 25/drivers/input/mouse/psmouse-base.c~synaptics-reset-fix	2003-07-05 15:59:00.000000000 -0700
+++ 25-akpm/drivers/input/mouse/psmouse-base.c	2003-07-05 15:59:00.000000000 -0700
@@ -200,7 +200,7 @@ int psmouse_command(struct psmouse *psmo
 	psmouse->cmdcnt = receive;
 
 	if (command == PSMOUSE_CMD_RESET_BAT)
-                timeout = 2000000; /* 2 sec */
+                timeout = 4000000; /* 4 sec */
 
 	if (command & 0xff)
 		if (psmouse_sendbyte(psmouse, command & 0xff))

_
